<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css">
    <style>
        @font-face {
            font-family: KarmaticArcade;
            src: url(/font/KarmaticArcade.ttf);
        }
        @font-face {
            font-family: COPRGTB;
            src: url(/font/COPRGTB.TTF);
        }
    </style>
</head>


<body class="bg-[url('/image/bg.gif')] bg-no-repeat bg-center">

    <div class="container grid lg:w-[1000px] lg:h-[600px] content-center lg:px-20 mt-40 mx-auto bg-white">
        
        <div class="grid grid-cols-2 w-10/12 justify-self-center lg:w-full">
            
            <!-- Title -->
            <div class="col-span-2 font-[KarmaticArcade] text-[#9C3561] justify-self-center text-2xl pt-11 pb-8 sm:text-3xl md:text-4xl lg:text-4xl">Internet Payment        </div>
            
            
            <!-- Start Time -->
            <div id="start" class="font-[COPRGTB] border-[#BA4D00] border-0 rounded-tl-3xl text-lg justify-self-auto flex justify-center py-3.5 border-l-4 border-y-4 items-center  sm:pb-4 sm:text-xl md:py-5 lg:py-6 lg:text-3xl sm:flex md:flex lg:flex md:space-x-2 space-x-2 sm:space-x-2 lg:space-x-2.5" >
                <img src="/image/hourglass_bottomhalf_fill.png" alt="Clock" class="flex h-6 sm:h-8 sm:flex md:h-10 md:flex lg:h-12 lg:flex">
                <span class="text-[#011F74]">Start at</span>
                <span id="starts" class="text-[#309E74] ">00:00</span>
            </div>


            <!-- Stop Time -->
            <div id="stop" class="font-[COPRGTB] border-[#BA4D00] border-4 rounded-tl-none text-lg justify-self-auto flex justify-center py-3.5 rounded-tr-3xl items-center sm:pb-4 sm:text-xl md:py-5 lg:py-6 lg:text-3xl sm:flex md:flex lg:flex md:space-x-2 space-x-2 sm:space-x-2 lg:space-x-2.5">
                <img src="/image/hourglass_tophalf_fill.png" alt="Clock" class="flex h-6 sm:h-8 sm:flex md:h-10 md:flex lg:h-12 lg:flex">
                <span class="text-[#011F74]">Stop at</span>
                <span id="end" class="text-[#AC0909]">00:00</span>
            </div>


            <!-- Minutes -->
            <div id="min" class="font-[COPRGTB] border-[#BA4D00] border-0 rounded-tl-none text-lg justify-self-auto flex justify-center py-3.5 border-l-4 rounded-bl-3xl border-b-4 items-center sm:pb-4 sm:text-xl md:py-5 lg:py-6 lg:text-3xl sm:flex md:flex lg:flex md:space-x-2 space-x-2 sm:space-x-2 lg:space-x-2.5">
                <img src="/image/Timer.png" alt="Clock" class="flex h-6 sm:h-8 sm:flex md:h-10 md:flex lg:h-12 lg:flex">
                <span id="minute" class="text-[#309E74] ">00</span>
                <span class="text-[#011F74]">Minutes</span>
            </div>


            <!-- Riels -->
            <div id="ri" class="font-[COPRGTB] border-[#BA4D00] border-0 rounded-tl-none text-lg justify-self-auto flex justify-center py-3.5 rounded-tr-none rounded-br-3xl border-x-4 border-b-4 items-center  sm:pb-4 sm:text-xl md:py-5 lg:py-6 lg:text-3xl sm:flex md:flex lg:flex md:space-x-2 space-x-2 sm:space-x-2 lg:space-x-2.5">
                <img src="/image/money-bag.png" alt="Clock" class="flex h-6 sm:h-8 sm:flex md:h-10 md:flex lg:h-12 lg:flex">
                <span id="riel" class="text-[#309E74]">00</span>
                <span class="text-[#011F74]">Riels</span>
            </div>


            <!-- button -->
            <div id="bt" onclick="change(bt_icon)" class="font-[COPRGTB] col-span-2 bg-[#309E74] hover:bg-[#14533B] text-white font-bold px-0 rounded-full justify-self-center w-52 flex justify-center my-6 h-14 text-2xl items-center content-center space-x-5 py-2 sm:my-8 md:mb-9">
                <i id="bt_icon"  class="fa-solid fa-play" ></i>
                <input type="button" value="Start" id="button" class="button" onclick="button()">
            </div>


            <!-- Time -->
            <div class="bg-[#3D418A] font-[COPRGTB] text-white col-span-2 justify-self-center mb-3 mt-1 w-full flex justify-center content-center items-center py-2.5">
                <img src="/image/Alarm_Clock.gif" alt="Clock" class="flex h-12">
                <span id="date" class="text-base bg-[#3D418A] justify-self-center w-9/12 flex justify-center content-center items-center lg:text-2xl md:text-xl sm:text-lg mt-0"></span>
                <img src="/image/Alarm_Clock.gif" alt="Clock" class="flex h-12">
            </div>
            
        </div>
    </div>

    <!----------- Script --------->
    <script type="text/javascript">
        
        //--------Animated Time

        function myTime() {
            const DT = new Date().toLocaleDateString('en-us', { weekday:"long", year:"numeric", month:"short", day:"numeric", hour: 'numeric', minute: 'numeric', second:"numeric", hour12: true});
            document.getElementById("date").innerHTML = DT;
        }
        const dateTime = setInterval(function(){myTime();}, 1000);
        
        //--------end of Animated Time

        

        //-------- button() : start, stop, clear, calculate hours, payment --------------------------     

        function button(){

            var status = document.getElementById("button").value;
            
            //--------Start
            if(status == "Start"){
                
                currentTime = new Date();
                start_hour = ('0'+currentTime.getHours()).substr(-2);
                start_minute = ('0'+currentTime.getMinutes()).substr(-2);
                
                document.getElementById("starts").innerHTML = currentTime.toLocaleString('en-US', { hour: 'numeric', minute: 'numeric', hour12: true });
                document.getElementById("button").value = "Stop";
                document.getElementById("bt").style.backgroundColor = "#AC0909";
                document.getElementById("bt_icon").className = "fa-solid fa-stop";

                //check
                console.log(currentTime);
                console.log(currentTime.toLocaleString('en-US', { hour: 'numeric', minute: 'numeric', hour12: true }));

            }


            //--------Stop
            else if(status == "Stop"){

                var endTime = new Date();
                end_hour = ('0'+endTime.getHours()).substr(-2);
                end_minute = ('0'+endTime.getMinutes()).substr(-2);

                document.getElementById("end").innerHTML = endTime.toLocaleString('en-US', { hour: 'numeric', minute: 'numeric', hour12: true });
                
                //check
                console.log(endTime);
                console.log(endTime.toLocaleString('en-US', { hour: 'numeric', minute: 'numeric', hour12: true }));

                
                //Calculate total time in minute
                hour = end_hour - start_hour;
                minute = hour * 60;
                remain_minute = end_minute - start_minute;
                total_in_minute = remain_minute; 
                // total_in_minute = 90;
                
                //-----Check condition
                //--> if over 60mins
                if(total_in_minute > 60){
                    
                    const hoursPrice = Math.floor(total_in_minute / 60) * 1500;
                    const minuteD = total_in_minute % 60;

                    if(minuteD > 0 && minuteD <= 15){
                        minutesPrice = 500;
                    } 
                    else if(minuteD > 15 && minuteD <= 30){
                        minutesPrice = 1000;
                    } 
                    else if(minuteD > 30 && minuteD <= 60){
                        minutesPrice = 1500;
                    }
                    else{
                        minutesPrice = 0;
                    }

                    let totalPrices = hoursPrice + minutesPrice;
                    
                    document.getElementById("riel").innerHTML = totalPrices;

                    //check
                    console.log(hoursPrice);
                    console.log(minuteD);
                    console.log(minutesPrice);
                    console.log(totalPrices);
                    
                }//end of if over 60mins

                //--> else if <=15 mins, output 500
                else if(total_in_minute <= 15){
                    document.getElementById("riel").innerHTML = "500";
                }

                //--> else if <=30 mins, output 1000
                else if(total_in_minute <= 30){
                    document.getElementById("riel").innerHTML = "1000";
                }

                //--> else if <=60 mins, output 1500
                else{
                    document.getElementById("riel").innerHTML = "1500";
                }        
                
                document.getElementById("minute").innerHTML = total_in_minute;
                document.getElementById("button").value = "Clear";
                document.getElementById("bt").style.backgroundColor = "#EB8400";
                document.getElementById("bt_icon").className = "fa-solid fa-eraser";
            }


            //--------Clear
            else{
                document.getElementById("starts").innerHTML = "00:00";
                document.getElementById("end").innerHTML = "00:00";
                document.getElementById("minute").innerHTML = "00:00";
                document.getElementById("riel").innerHTML = "00:00";
                document.getElementById("button").value = "Start";
                document.getElementById("bt").style.backgroundColor = "#309E74";
                document.getElementById("bt_icon").className = "fa-solid fa-play";
            }
        }
        //-------- end of button() : start, stop, clear, calculate hours, payment --------------------------

    </script>
    
</body>

</html>